Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class EncryptionInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.tsp.EncryptionInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class EncryptionInfo
extends ASN1Object

Implementation of the EncryptionInfo element defined in RFC 4998:

1988 ASN.1 EncryptionInfo

EncryptionInfo ::= SEQUENCE { encryptionInfoType OBJECT IDENTIFIER, encryptionInfoValue ANY DEFINED BY encryptionInfoType }

1997-ASN.1 EncryptionInfo

EncryptionInfo ::= SEQUENCE { encryptionInfoType ENCINFO-TYPE.&id ({SupportedEncryptionAlgorithms}), encryptionInfoValue ENCINFO-TYPE.&Type ({SupportedEncryptionAlgorithms}{@encryptionInfoType}) }

ENCINFO-TYPE ::= TYPE-IDENTIFIER

SupportedEncryptionAlgorithms ENCINFO-TYPE ::= {[]}

Constructor Summary
`EncryptionInfo(ASN1ObjectIdentifier encryptionInfoType, ASN1Encodable encryptionInfoValue)`

Method Summary
`ASN1ObjectIdentifier` | `getEncryptionInfoType()`
`ASN1Encodable` | `getEncryptionInfoValue()`
`static EncryptionInfo` | `getInstance(ASN1Object obj)` Deprecated. Use `getInstance(Object)` instead.
`static EncryptionInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static EncryptionInfo` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionInfo

    public EncryptionInfo(ASN1ObjectIdentifier encryptionInfoType,
                          ASN1Encodable encryptionInfoValue)

Method Detail

### getInstance

    public static EncryptionInfo getInstance(ASN1Object obj)

  Deprecated. Use `getInstance(Object)` instead.

### getInstance

    public static EncryptionInfo getInstance(java.lang.Object obj)

### getInstance

    public static EncryptionInfo getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

### getEncryptionInfoType

    public ASN1ObjectIdentifier getEncryptionInfoType()

### getEncryptionInfoValue

    public ASN1Encodable getEncryptionInfoValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD